Subject: Trying to compile Zabbix 2.4.3

From: Paulo Correia <[email-masked]>
Date: Sat, 29 Feb 2020 19:59:04 +0000

Hi,

I'm trying to compile Zabbix 2.4.3 inside a docker container

When i try ./configure --enable-server --enable-agent --with-mysql 
--with-net-snmp --with-libcurl --with-libxml2 --with-openipmi

I got an configure: error: Not found mysqlclient library

I tried to install this mariadb:

mariadb-static-10.3.20-r0 x86_64 {mariadb} (GPL-2.0-or-later) [installed]
mariadb-10.3.20-r0 x86_64 {mariadb} (GPL-2.0-or-later) [installed]
mariadb-server-utils-10.3.20-r0 x86_64 {mariadb} (GPL-2.0-or-later) 
[installed]
mariadb-client-10.3.20-r0 x86_64 {mariadb} (GPL-2.0-or-later) [installed]
mysql-10.3.20-r0 x86_64 {mariadb} (GPL-2.0-or-later) [installed]
mariadb-dev-10.3.20-r0 x86_64 {mariadb} (GPL-2.0-or-later) [installed]
mariadb-embedded-dev-10.3.20-r0 x86_64 {mariadb} (GPL-2.0-or-later) 
[installed]
mysql-client-10.3.20-r0 x86_64 {mariadb} (GPL-2.0-or-later) [installed]
mariadb-connector-c-3.0.8-r0 x86_64 {mariadb-connector-c} 
(LGPL-2.1-or-later) [installed]
mariadb-embedded-10.3.20-r0 x86_64 {mariadb} (GPL-2.0-or-later) [installed]
mariadb-mytop-10.3.20-r0 x86_64 {mariadb} (GPL-2.0-or-later) [installed]
mariadb-connector-c-dev-3.0.8-r0 x86_64 {mariadb-connector-c} 
(LGPL-2.1-or-later) [installed]
mariadb-test-10.3.20-r0 x86_64 {mariadb} (GPL-2.0-or-later) [installed]
mariadb-common-10.3.20-r0 x86_64 {mariadb} (GPL-2.0-or-later) [installed]

Where is mysqlclient library?

Where am I going wrong?

My Dockerfile is:

# Use an official Alpine Linux as a parent image
FROM alpine:latest

MAINTAINER paulocorreia

# Include Alpine 3.8 main
RUN echo 'http://dl-cdn.alpinelinux.org/alpine/v3.8/main' >> 
/etc/apk/repositories

# Include Alpine 3.8 community
RUN echo 'http://dl-cdn.alpinelinux.org/alpine/v3.8/community' >> 
/etc/apk/repositories

# Install or Update Apache
RUN apk --update add apache2

# Install PHP 5.6
RUN apk --update add php5

# Install PHP 5.6 Apache Module
RUN apk --update add php5-apache2

# [START] -> Minimal PHP Modules for Zabbix 2.4.3
#
# Install PHP 5.6 GD Module
RUN apk --update add php5-gd
#
# Install PHP 5.6 libXML Module
RUN apk --update add php5-xml
#
# Install PHP 5.6 bcmath Module
RUN apk --update add php5-bcmath
#
# Install PHP 5.6 ctype Module
RUN apk --update add php5-ctype
#
# Install PHP 5.6 xmlreader Module
RUN apk --update add php5-xmlreader
#
# Install PHP 5.6 sockets Module
RUN apk --update add php5-sockets
#
# Install PHP 5.6 gettext Module
RUN apk --update add php5-gettext
#
# Install PHP 5.6 curl Module
RUN apk --update add php5-curl
#
# Install PHP 5.6 ldap Module
RUN apk --update add php5-ldap
#
# [END] -> Minimal PHP Modules for Zabbix 2.4.3

# Remove Alpine 3.8 from repositories
RUN sed -i.bak '/3.8/d' /etc/apk/repositories

# [START] -> Minimal Alpine libs for Zabbix 2.4.3
#
# Install alpine-sdk
RUN apk --update add alpine-sdk
#
# Install snmp
RUN apk --update add net-snmp
#
# Install snmp-tools
RUN apk --update add net-snmp-tools
#
# Install snmp-dev
RUN apk --update add net-snmp-dev
#
# Install vim
RUN apk --update add vim
#
# Install libssh2-dev
RUN apk --update add libssh2-dev
#
# Install libxml2
RUN apk --update add libxml2
#
# Install libxml2-dev
RUN apk --update add libxml2-dev
#
# Install fping
RUN apk --update add fping
#
# [END] -> Minimal Alpine libs for Zabbix 2.4.3

# Create Zabbix User
RUN adduser zabbix -s /bin/false

# Mysql Libs
RUN apk --update add mariadb-dev

# Make port 80 available to the world outside this container
EXPOSE 80

# Run httpd service when the container launches
CMD ["httpd", "-D", "FOREGROUND"]